# Задача 9. Сообщение
# Нашему другу надоело общаться простыми сообщениями, и он решил делать это необычным способом:
# он переворачивает каждое слово в тексте, при этом не трогая знаки препинания.
# Пользователь вводит текст, состоящий из слов и знаков препинания. Напишите программу, которая переворачивает
# (записывает в обратном порядке) все слова текста, оставив знаки препинания без изменений. Словом в тексте считается
# последовательность символов из прописных и строчных букв кириллицы.
# Пример 1:
# Сообщение: Это задание очень! простое.
# Новое сообщение: отЭ еинадаз ьнечо! еотсорп.
# Пример 2:
# Сообщение: Хотя ,. возм:ожно и нет.
# Новое сообщение: ятоХ ,. мзов:онжо и тен.

user_text = input('Сообщение: ').split()
new_text = []

for i_word in user_text:
    if i_word.isalnum():
        new_text.append(''.join(reversed(i_word)))
    else:
        for i_let in i_word:
            if not i_let.isalnum():
                rev_word = ''.join(reversed(i_word[:i_word.index(i_let)])) + i_let + \
                           ''.join(reversed(i_word[i_word.index(i_let)+1:]))
                new_text.append(rev_word)
                break

print('Новое сообщение: ', ' '.join(new_text))
